package mg.dot.feufaro.musicXML

import kotlinx.serialization.Serializable
import nl.adaptivity.xmlutil.serialization.XML
import nl.adaptivity.xmlutil.serialization.XmlElement
import nl.adaptivity.xmlutil.serialization.XmlSerialName
import nl.adaptivity.xmlutil.serialization.XmlValue

@Serializable
@XmlSerialName("appearance", "", "")
data class MXAppearance (
    @Serializable
    @XmlElement
    @XmlSerialName("line-width", "", "")
    var lineWidth: List<MXAppearanceChild> = listOf(),
    @Serializable
    @XmlElement
    @XmlSerialName("note-size", "", "")
    var noteSize: List<MXAppearanceChild> = listOf(),
    @Serializable
    @XmlElement
    var distance: List<MXAppearanceChild> = listOf(),
    @Serializable
    @XmlElement
    var glyph: List<MXOtherAppearance> = listOf(),
    @Serializable
    @XmlElement
    @XmlSerialName("other-appearance", "", "")
    var otherAppearance: List<MXOtherAppearance> = listOf(),
)
